#!/usr/bin/env startpython
from __future__ import print_function
import sys
import os
import re

#===========================
#         MAIN
#===========================
if __name__ == '__main__':

    #
    # make sure there's an MCFF logfile
    #
    if not os.path.exists("MCFFOptimizer.log"):
        print "\n No such file: \"MCFFOptimizer.log\"\n "
        sys.exit(1)
    else:
        #
        # look for pattern: space + integer + space + float
        #
        pattern = re.compile("\s+\d\s+\d+\.\d+")

        fin   = open("MCFFOptimizer.log", 'r')
        fout  = open("FITNESS_MCFF", 'w')
        for line in fin:
            #
            # skip that have an 'exploding' fitness function
            # marked *********
            #
            #if re.search("\*\*\*\*",line):
            #    continue
            line = re.sub("\*","",line)
            if pattern.search(line):
                fout.write(line)
        fout.close()
        fin.close()
